body {
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-color: black;
  overflow: hidden;
}
.container {
  font-size: 6px;
  width: 40em;
  height: 40em;
  position: relative;
}
img {
  width: 130%;
  height: 130%;
}
.sun {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 15em;
  left: 15em;
  width: 10em;
  height: 10em;
  border-radius: 50%;
  box-shadow: 0 0 3em rgb(255, 120, 0);
  animation: orbit 50s linear infinite;
}
.mercury,
.venus,
.earth,
.moon,
.mars,
.jupiter,
.saturn,
.uranus,
.neptune,
.pluto {
  position: absolute;
  border-style: solid;
  border-color: white transparent transparent transparent;
  border-width: 0.1em 0.1em 0 0;
  border-radius: 50%;
}
.mercury {
  top: 12.5em;
  left: 12.5em;
  width: 15em;
  height: 15em;
  animation: orbit 68.7s linear infinite;
}

.venus {
  top: 10em;
  left: 10em;
  width: 20em;
  height: 20em;
  animation: orbit 48.7s linear infinite;
}
.earth {
  top: 6em;
  left: 6em;
  width: 28em;
  height: 28em;
  animation: orbit 36.5s linear infinite;
}

.moon {
  top: 8em;
  right: 5.3em;
  width: 7em;
  height: 7em;
  animation: orbit 2.7s linear infinite;
}
.mars {
  top: 2em;
  left: 2.5em;
  width: 36em;
  height: 36em;
  animation: orbit 26.5s linear infinite;
}
.jupiter {
  top: -2em;
  left: -2em;
  width: 45em;
  height: 45em;
  animation: orbit 21s linear infinite;
}
.saturn {
  top: -7em;
  left: -7em;
  width: 55em;
  height: 55em;
  animation: orbit 17s linear infinite;
}
.uranus {
  top: -12em;
  left: -12em;
  width: 65em;
  height: 65em;
  animation: orbit 19s linear infinite;
}

.neptune {
  top: -17em;
  left: -17em;
  width: 75em;
  height: 75em;
  animation: orbit 15s linear infinite;
}

.pluto {
  top: -22em;
  left: -22em;
  width: 85em;
  height: 85em;
  animation: orbit 18s linear infinite;
}

.mercury::before,
.venus::before,
.earth::before,
.moon::before,
.mars::before,
.jupiter::before,
.saturn::before,
.uranus::before,
.neptune::before,
.pluto::before {
  content: "";
  position: absolute;
  border-radius: 50%;
  animation: orbit 50s linear infinite;
}

.mercury::before {
  top: 1.5em;
  right: 0.8em;
  width: 2em;
  height: 2em;
  background-image: url(./img/mercuryy.png);
  background-size: cover;
}

.venus::before {
  top: 2em;
  right: 2em;
  width: 2em;
  height: 2em;
  background-image: url(./img/venus.png);
  background-size: cover;
}
.earth::before {
  top: 3em;
  right: 0em;
  width: 5em;
  height: 5em;
  background-image: url(./img/earth.png);
  background-size: cover;
}
.moon::before {
  top: 0.8em;
  right: -0.2em;
  width: 1.2em;
  height: 1.2em;
  background-image: url(./img/moon.png);
  background-size: cover;
}
.mars::before {
  top: 5em;
  right: 3em;
  width: 3em;
  height: 3em;
  background-image: url(./img/Mars.png);
  background-size: cover;
}
.jupiter::before {
  top: 6em;
  right: 3em;
  width: 5em;
  height: 5em;
  background-image: url(./img/jupiter.png);
  background-size: cover;
}

.saturn::before {
  top: 7.5em;
  right: 1em;
  width: 9.5em;
  height: 4.5em;
  background-image: url(./img/saturn.png);
  background-size: cover;
}
.uranus::before {
  top: 9em;
  right: 6.5em;
  width: 4em;
  height: 4em;
  background-image: url(./img/uranus.png);
  background-size: cover;
}
.neptune::before {
  top: 10em;
  right: 8em;
  width: 4em;
  height: 4em;
  background-image: url(./img/neptune.png);
  background-size: cover;
}
.pluto::before {
  top: 11em;
  right: 10em;
  width: 4em;
  height: 4em;
  background-image: url(./img/Pluto-SD.png);
  background-size: cover;
}

.star {
  position: absolute;
  background-color: white;
  border-radius: 50%;
  z-index: -1;
}

@keyframes orbit {
  to {
    transform: rotate(360deg);
  }
} 
